gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object Encapsulates an adjustable bounded value.

The Adjustment object represents a value with an associated and bound, together with a , , and a .

The Adjustment object does not update the value itself. Instead it is left up to the owner of the Adjustment to control the value. The owner of the Adjustment typically calls the and methods after changing the value or its bounds, respectively. This results in the emission of the or events respectively.

An Adjustment is used within several widgets, including , , and (which is a base class for , , , and ).

- Constructor
  2.12.0.0
  Default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The initial value.
  The minimum value.
  The maximum value.
  The increment to use to make minor changes to the value.
  The increment to use to make major changes to the value.
  The page size. In a this is the size of the area that is currently visible.
  Creates an Adjustment with the specified value and bounds.
- Method
  2.12.0.0
  System.Void Fires the event.

  This method should be called manually after changing properties to notify all listening objects that one or more of the Adjustment's bounds have changed.

- Event
  2.12.0.0
  GLib.Signal("changed")
  System.EventHandler This event is raised when is called.

  If the Adjustment's properties change, (such as , etc.), it is up to whichever class changes the values to call to ensure this event is raised.

- Method
  2.12.0.0
  System.Void Fires the event.

  This method should be called manually after changing properties to notify all listening objects that the Adjustment's has changed.

- Method
  2.12.0.0
  System.Void `` `` The lower value of the new range. The upper value of the new range. Used to inform the Adjustment's view that a new visible range should be displayed.

  This method should be used to set the currently visible range to (, ).?If necessary, the current is changed to ensure that it is visible within the new scope.

  If the specified range is larger than the , then only the start of it will make up the new "current page".

  The event will be raised if the changes as a result of this method. must be called manually if the event should be raised.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("lower")
  System.Double Retrieve the lower bound of this Adjustment. a The minimum possible value that is currently allowed.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.Adjustment))
  System.Void Virtual method to override the event default handler. Override this method to change the default event handling for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideValueChanged", Type=typeof(Gtk.Adjustment))
  System.Void Virtual method for event default handling. Override this method to change the default event handling for the event.
- Property
  2.12.0.0
  GLib.Property("page-increment")
  System.Double Manage the increment used to make major changes to the value. The current PageIncrement.

  The usefulness of this value is entirely dependent upon the context in whic hthe Adjustment is used.

- Property
  2.12.0.0
  GLib.Property("page-size")
  System.Double Manage the size of a 'page'. The current size of pages in this Adjustment.

  In a this is the size of the area which is currently visible.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` The minimum value. The maximum value. The increment to use to make minor changes to the value. The increment to use to make major changes to the value. The page size. In a this is the size of the area that is currently visible. Sets all the properties of the Adjustment at the same time.

  When updating the values and properties of an Adjustment, remember to call the and/or methods to ensure the correct events are raised.

- Property
  2.12.0.0
  GLib.Property("step-increment")
  System.Double The increment to use to make minor changes to the value. a

  In a this increment is used when the mouse is clicked on the arrows at the top and bottom of the , to scroll by a small amount.

- Property
  2.12.0.0
  GLib.Property("upper")
  System.Double Retrieve the upper bound of this Adjustment. a The maximum possible value that is currently allowed.
- Property
  2.12.0.0
  GLib.Property("value")
  System.Double Manage the current . The current value of this adjustment.

  If you set this property, you should manually call so that all listening objects are notified of the change.

- Event
  2.12.0.0
  GLib.Signal("value_changed")
  System.EventHandler This event is raised when is called.

  This event can be handled to be notified of changes to the Adjustment's value. However, this relies on all objects that change the calling .